org.aspectj.lang.annotation

## Annotation Type Aspect

    @Retention(value=RUNTIME)
     @Target(value=TYPE)
    public @interface Aspect

Aspect declaration

Author:
  Alexandre Vasseur

### Optional Element Summary

Optional Elements
`String` `value`

### Element Detail

#### value

    public abstract String value

Returns:
  the per clause expression, defaults to singleton aspect. Valid values are "" (singleton), "perthis(...)", etc

Default:
  ""